Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592765 - Hangs during scanning with Epson USB scanner
Summary: Hangs during scanning with Epson USB scanner
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-16 19:40 UTC by Brian Daniels
Modified: 2012-08-16 19:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:39:58 UTC


Attachments (Terms of Use)

Description Brian Daniels 2010-05-16 19:40:15 UTC
Description of problem:
Epson Perfection 1650 USB scanner.  

When a preview or scan is attempted in xsane, the scanner begins the operation.  xsane then displays a 'Operation Cancelled' dialog.  The console logs a "[epson2] e2_ext_read: cancel request received" error.

Scanning from gscan2pdf gives the same error.

After the error occurs, the scanner is unresponsive and needs to be reset.

This scanner works fine on a F12 system with xsane.

Version-Release number of selected component (if applicable):
Fedora 13 Beta

How reproducible:
Always

Steps to Reproduce:
1. start xsane or gscan2pdf
2. start preview or scan
3. error

Comment 1 Nils Philippsen 2010-05-27 14:31:39 UTC
Which version of sane-backends do you use?

Comment 2 Brian Daniels 2010-05-27 14:49:21 UTC
sane-backends-libs-1.0.21-1.fc13.x86_64
sane-backends-1.0.21-1.fc13.x86_64

Comment 3 Brian Daniels 2010-06-15 00:59:37 UTC
Today's update of 
sane-backends-1.0.21-2.fc13.x86_64
sane-backends-libs-1.0.21-2.fc13.x86_64
did not fix the problem, it still fails in the same way.

Comment 4 Brian Daniels 2010-06-28 02:46:37 UTC
Found a discussion here:
http://bugs.archlinux.org/task/19861

That suggests editing /etc/sane.d/dll.conf to comment out 'epson2' and uncomment 'epson'.  That corrects the issue on my system, although it's hardly an intuitive fix.

Comment 5 JC 2010-10-20 22:55:14 UTC
The fix/workaround in the previous comment also worked for me.

Comment 6 Richard Chan 2010-10-24 01:23:21 UTC
This problem persists in Fedora 14 Beta with all yum updates.

The fix/workaround (i.e. use epson instead of epson2) worked for me.

Comment 7 James Davis 2010-11-11 00:46:07 UTC
I also had this problem, with an Epson Perfection 610. The work-around posted by Brian Daniels worked on my system.  I am running Fedora 14, Kernel 2.6.35.6-48.fc14.x86_64.  My sane-backends are

sane-backends-libs-1.0.21-3.fc14.x86_64
sane-backends-1.0.21-3.fc14.x86_64

Comment 8 Nils Philippsen 2011-04-04 11:50:18 UTC
A new upstream version with many bugfixes and enhancements has been released.
Please check whether your issue persists with this updated package:

https://admin.fedoraproject.org/updates/sane-backends-1.0.22-1.fc13

Comment 9 Brian Daniels 2011-05-01 02:52:47 UTC
Sorry about the delay in responding to this, I have moved to F14.  The problem is still happening with sane-backends-1.0.22-1.fc14.x86_64.  If I uncomment the epson2 driver, I get the :

[epson2] e2_ext_read: cancel request received

errors and the scanner locks up.  Using the epson driver works fine.

Comment 10 Bug Zapper 2011-06-02 13:57:11 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Brian Daniels 2011-06-02 14:35:55 UTC
Updated version to reflect bug still being present in F14.

Comment 12 John Florian 2011-07-08 00:24:53 UTC
I cannot change the version here but can confirm the bug in F15 also.

Comment 13 John Florian 2012-07-15 16:04:37 UTC
Still seeing this with:

sane-backends-drivers-scanners-1.0.22-10.fc16.x86_64
sane-backends-1.0.22-10.fc16.x86_64
sane-backends-libs-1.0.22-10.fc16.x86_64

Comment 14 Fedora End Of Life 2012-08-16 19:40:00 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.